Bug 1709798 - DNF cannot work with installed modularity content if repo is disabled.
Summary: DNF cannot work with installed modularity content if repo is disabled.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: dnf
Version: 8.2
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: rc
: 8.0
Assignee: Jaroslav Mracek
QA Contact: Karel Srot
URL:
Whiteboard:
Depends On: 1681084
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-05-14 10:49 UTC by Andrei Stepanov
Modified: 2020-11-14 07:41 UTC (History)
3 users (show)

Fixed In Version: dnf-4.2.7-1.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-05 22:22:06 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:3583 None None None 2019-11-05 22:22:15 UTC

Description Andrei Stepanov 2019-05-14 10:49:23 UTC
DNF cannot perform any action on _installed_ module if originate repo is disabled.

dnf-4.0.9.2-5.el8.noarch

Example:

rpm -q httpd
httpd-2.4.37-11.module+el8.0.0+2969+90015743.x86_64

The package was installed as part of httpd module. httpd module was installed.

Let's suppose there is no Internet connection. And user disabled AppStream repo.

With this DNF completely unable to manage already installed httpd module.
It cannot be removed. User cannot get any information about this installed module.

yum --disablerepo='*' module remove httpd
Problems in request:
missing groups or modules: httpd
Dependencies resolved.
Nothing to do.
Complete!

This bug is about allowing to perform actions on installed modules.
For example: allow user to get list of installed modules, even all repos are disabled.

Comment 1 Jaroslav Mracek 2019-06-19 10:54:41 UTC
The behavior is improved by fail-safe mechanism that stores module information about enabled streams.

Comment 4 Daniel Mach 2019-08-14 11:36:43 UTC
This has been fixed already as part of bug#1623128.
When a repo is disabled, cached modulemd is used and DNF operates as usual.

Comment 14 errata-xmlrpc 2019-11-05 22:22:06 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3583


Note You need to log in before you can comment on or make changes to this bug.